# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Apr 30 14:44:06 2024
# ------------------------------------------------

package:
  name: sqlite
  version: 3.45.3
source:
  patches: null
  sha256: b2809ca53124c19c60f42bf627736eae011afdcc205bb48270a5ee9a38191531
  url: https://www.sqlite.org/2024/sqlite-autoconf-3450300.tar.gz
build:
  number: '0'
  run_exports:
    - sqlite >=3.45.3,<4.0a0
  string: h998d150_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtool 2.4.6 h419075a_1009
    - make 4.2.1 hfd63f10_1
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - ncurses 6.4 h419075a_0
    - readline 8.1.2 h2f4d8fa_1
    - zlib 1.2.13 h998d150_0
  run:
    - libgcc-ng >=11.2.0
    - ncurses >=6.4,<7.0a0
    - readline >=8.1.2,<9.0a0
    - zlib >=1.2.13,<1.3.0a0
    - zlib >=1.2.13,<2.0a0
test:
  commands:
    - sqlite3 --version
    - test -f $PREFIX/bin/sqlite3
    - test -f $PREFIX/lib/libsqlite3${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libsqlite3.a
    - test -f $PREFIX/include/sqlite3.h
    - test -f $PREFIX/include/sqlite3ext.h
    - test -f $PREFIX/lib/pkgconfig/sqlite3.pc
about:
  description: 'SQLite is a self-contained, high-reliability, embedded, full-featured,

    public-domain, SQL database engine. It is the most used database engine

    in the world.

    '
  dev_url: https://sqlite.org/src/dir?ci=trunk
  doc_url: https://www.sqlite.org/docs.html
  home: https://www.sqlite.org/
  license: blessing
  license_family: Other
  license_file: LICENSE.md
  summary: Implements a self-contained, zero-configuration, SQL database engine
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 88e56787-c799-42ab-9b5a-027fd58a8aca
  recipe-maintainers:
    - jakirkham
    - jjhelmus
    - mingwandroid
    - msarahan
    - ocefpaf
    - snorfalorpagus
    - xylar
  remote_url: git@github.com:AnacondaRecipes/sqlite-feedstock.git
  sha: c38575e40f2e78af6ead44f5f75b2d88d6a5b8d3
